#!/usr/bin/perl -w
#
# Configuration script for Kaspersky Network Agent
# Copyright (C) Kaspersky Lab 1997-2006

# Really useful when script is run from the relative path
BEGIN { unshift @INC, $1 if $0 =~ /(.*)[\/]/; }

use strict;
use appdata;

my $upgrade = 0;
my $autoinstall = 0;
my $manual = 0;

foreach my $opt (@ARGV) {
    if ($opt eq '--auto') {
        $autoinstall = 1;
    } elsif ($opt =~ /^--upgrade(=(\d))?$/) {
        $upgrade = !defined($2) || ($2 ne '0') ? 1 : 0;
    } elsif ($opt eq '--manual') {
        $manual = 1;
    }
}

if (defined($ENV{"KLAUTOANSWERS"})) {
    $autoinstall = 1;
}

if ($upgrade) {
    if ($autoinstall) {
        appdata::app_noninteractive_upgrade();
    } elsif (!$manual) {
        appdata::app_interactive_upgrade_pm();
    } else {
        appdata::app_interactive_upgrade_user();
    }
} else {
    if ($autoinstall) {
        appdata::app_noninteractive_register();
    } else {
        appdata::app_interactive_register();
    }
}

exit;
